vibrato
	db $00,$01,$02,$01 
	db $00,$81,$82,$81
	
snare_freq
	db $d5,$c7,$d0
	db $c1,$cb,$d1
snare_noise
	db $20,$40,$40
	db $40,$40,$40

bass_freq
	dw $15E,$A9,$40
	dw $103,$74,$3F

Channel1
	dw pat_pause_3	; data word (16)
	dw pat_chords_C
	dw pat_chords_C
	dw pat_chords_C
	dw pat_chords_C
	dw pat_chords_chorus
	dw pat_chords_chorus
	dw pat_chords_chorus
	dw pat_chords_chorus
	;
	dw pat_drums_only
	;
	dw pat_drums_C
	dw pat_drums_C
	dw pat_drums_C
	dw pat_drums_C
	dw pat_drums_chorus
	dw pat_drums_chorus
	dw pat_drums_chorus
	dw pat_drums_chorus
	dw pat_drums_C_mid
	dw pat_drums_C_mid
	;
	dw pat_drums_out
	;
	dw 0
	
vol_default
	;db 8,8,7,7,6,6,5,5,4,4
	;db 8,7,6,5,4
	db 8,8,8,8,7,7,7,7,6,6,6,6,5,5,5,5,4,4,4,4
	db 8,8,7,7,6,6,5,5,4,4
	;
	db $FF
	
vol_mid
	;db 8,7,6,5,4,3,3,2,2,2
	;db 8,6,4,3,2
	db 8,8,7,7,7,6,6,6,5,5,5,4,4,4,3,3,3,2,2,2
	db 8,7,6,5,4,4,3,3,2,2
	;
	db $FF
	
Channel2
	dw pat_lead_in
	dw pat_lead,pat_lead_in
	dw pat_lead,pat_lead_hi_in
	dw pat_lead_hi,pat_lead_hi_in
	dw pat_lead_hi
	
	dw pat_chorus1a
	dw pat_chorus2
	dw pat_chorus1a
	dw pat_chorus2
	
	dw pat_quiet
	;
	dw pat_lead2_in
	dw pat_lead2,pat_lead2_in
	dw pat_lead2,pat_lead2_hi_in
	dw pat_lead2_hi,pat_lead2_hi_in
	dw pat_lead2_hi_2
	;
	dw pat_chorus1b
	dw pat_chorus2
	dw pat_chorus1a
	dw pat_chorus2
	;
	dw pat_pause_3
	dw pat_mid
	dw pat_mid
	dw pat_quiet_min3
	
	dw 0

Channel3
	dw pat_pause_3
	;
	dw pat_quiet,pat_quiet,pat_quiet,pat_quiet
	dw pat_quiet,pat_quiet,pat_quiet,pat_quiet ; chorus
	;
	dw pat_arp1
	dw pat_arp1,pat_arp1,pat_arp1,pat_arp1
	dw pat_quiet,pat_quiet,pat_quiet,pat_quiet ; chorus
	dw pat_quiet
	dw pat_quiet
	dw pat_quiet_min3
	;
	dw 0
	
LEN = $40

speed = 5

bdr = $F1
snr = $F2
hht = $F4
sn = 28

pat_pause_3
	db $F0,LEN+speed*3
	db OFF
	db END_MARK

pat_quiet
	db $F0
	db LEN+speed*6
	db OFF,OFF,OFF,OFF
	db OFF,OFF,OFF,OFF
	db END_MARK
	
pat_quiet_min3
	db $F3,LEN+speed*6
	db OFF,OFF,OFF,OFF
	db OFF,OFF,OFF
	db LEN+speed*3,OFF
	db END_MARK
	
pat_chords_C
	db SET_VOLTAB,vol_default & 255
	db $F0
	db LEN+speed
	;
	db C0,C0,OFF
	db LEN+1,G1,E1,C1,G1,E1,C1,G1,E1,C1,G1,LEN+speed,OFF
	db G0,G0,OFF
	db LEN+1,G1,E1,C1,G1,E1,C1,G1,E1,C1,G1,LEN+speed,OFF
	;
	db F0,F0,OFF
	db LEN+1,A1,F1,C1,A1,F1,C1,A1,F1,C1,A1,LEN+speed,OFF
	db C1,C1,OFF
	db LEN+1,A1,F1,C1,A1,F1,C1,A1,F1,C1,A1,LEN+speed,OFF
	;
	db G0,G0,LEN+1,G1,D1,B0,OFF,OFF
	db LEN+1,G1,D1,B0,G1,D1,B0,G1,D1,B0,G1,LEN+speed,OFF
	db D1,D1,OFF
	db LEN+1,G1,D1,B0,G1,D1,B0,G1,D1,B0,G1,LEN+speed,OFF
	;
	db C0,C0,OFF
	db LEN+1,G1,E1,C1,G1,E1,C1,G1,E1,C1,G1,LEN+speed,OFF
	db G0,G0,LEN+1,G1,E1,C1,OFF,OFF
	db LEN+1,G1,E1,C1,G1,E1,C1,G1,E1,C1,G1,LEN+speed,G0
	;
	db END_MARK
	
pat_chords_chorus
	db SET_VOLTAB,vol_default & 255
	db $F0
	db LEN+speed
	;
	db D0,D0,OFF
	db LEN+1,A1,F1,D1,A1,F1,D1,A1,F1,D1,A1,LEN+speed,OFF
	db A0,A0,OFF
	db LEN+1,A1,F1,D1,A1,F1,D1,A1,F1,D1,A1,LEN+speed,OFF
	;
	db A0,A0,OFF
	db LEN+1,A1,E1,C1,A1,E1,C1,A1,E1,C1,A1,LEN+speed,OFF
	db E1,E1,OFF
	db LEN+1,A1,E1,C1,A1,E1,C1,A1,E1,C1,A1,LEN+speed,OFF
	;
	db G0,G0,LEN+1,G1,D1,B0,OFF,OFF
	db LEN+1,G1,D1,B0,G1,D1,B0,G1,D1,B0,G1,LEN+speed,OFF
	db D1,D1,OFF
	db LEN+1,G1,D1,B0,G1,D1,B0,G1,D1,B0,G1,LEN+speed,OFF
	;
	db C0,C0,OFF
	db LEN+1,G1,E1,C1,G1,E1,C1,G1,E1,C1,G1,LEN+speed,OFF
	db G0,G0,LEN+1,G1,E1,C1,OFF,OFF
	db LEN+1,G1,E1,C1,G1,E1,C1,G1,E1,C1,G1,LEN+speed,G0
	;
	db END_MARK
	
pat_drums_only
	db SET_VOLTAB,vol_default & 255
	db bdr,LEN+3,C1,        LEN+speed*3-3,OFF
	db hht,LEN+1,29,        LEN+speed*3-1,OFF
	db snr,LEN+3,27,        LEN+speed*3-3,OFF
	db hht,LEN+1,29,        LEN+speed*3-1,OFF
	;
	db bdr,LEN+3,C1,        LEN+speed*3-3,OFF
	db hht,LEN+1,29,        LEN+speed*3-1,OFF
	db snr,LEN+3,27,        LEN+speed*3-3,OFF
	db hht,LEN+1,29,        LEN+speed*2-1,OFF
	db hht,LEN+1,29,        LEN+speed*1-1,OFF
	;
	db bdr,LEN+3,C1,        LEN+speed*3-3,OFF
	db hht,LEN+1,29,        LEN+speed*3-1,OFF
	db snr,LEN+3,27,        LEN+speed*3-3,OFF
	db hht,LEN+1,29,        LEN+speed*3-1,OFF
	;
	db bdr,LEN+3,C1,        LEN+speed*3-3,OFF
	db hht,LEN+1,29,        LEN+speed*3-1,OFF
	db snr,LEN+3,27,        LEN+speed*3-3,OFF
	db hht,LEN+1,29,        LEN+speed*2-1,OFF
	db hht,LEN+1,29,        LEN+speed*1-1,OFF
	db END_MARK
	
pat_drums_out
	db SET_VOLTAB,vol_default & 255
	db bdr,LEN+3,C1,        LEN+speed*3-3,OFF
	db hht,LEN+1,29,        LEN+speed*3-1,OFF
	db bdr,LEN+3,C1,        LEN+speed*3-3,OFF
	db hht,LEN+1,29,        LEN+speed*3-1,OFF
	;
	db bdr,LEN+3,C1,        LEN+speed*3-3,OFF
	db hht,LEN+1,29,        LEN+speed*3-1,OFF
	db bdr,LEN+3,C1,        LEN+speed*3-3,OFF
	db hht,LEN+1,29,        LEN+speed*2-1,OFF
	db hht,LEN+1,29,        LEN+speed*1-1,OFF
	;
	db bdr,LEN+3,C1,        LEN+speed*3-3,OFF
	db hht,LEN+1,29,        LEN+speed*3-1,OFF
	db bdr,LEN+3,C1,        LEN+speed*3-3,OFF
	db hht,LEN+1,29,        LEN+speed*3-1,OFF
	;
	db bdr,LEN+3,C1,        LEN+speed*6-3,OFF
	db bdr,LEN+3,C1,        LEN+speed*3-3,OFF
	db END_MARK
	
pat_drums_C
	db SET_VOLTAB,vol_default & 255
	db bdr,LEN+3,C1,        $F0,LEN+speed*2-3,C0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,E1,C1,G1,E1,C1,G1,E1,C1,G1, LEN+speed,OFF
	db snr,LEN+3,27,        $F0,LEN+speed*2-3,G0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,E1,C1,G1,E1,C1,G1,E1,C1,G1, LEN+speed,OFF
	;
	db bdr,LEN+3,C1,        $F0,LEN+speed*2-3,F0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,F1,C1,A1,F1,C1,A1,F1,C1,A1, LEN+speed,OFF
	db snr,LEN+3,27,        $F0,LEN+speed*2-3,C1,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,F1,C1,A1,F1,C1,A1,F1,C1,A1, hht,29, LEN+speed-1,OFF
	;
	db bdr,LEN+3,C1,        $F0,LEN+speed*2-3,G0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,D1,B0,G1,D1,B0,G1,D1,B0,G1, LEN+speed,OFF
	db snr,LEN+3,27,        $F0,LEN+speed*2-3,D1,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,D1,B0,G1,D1,B0,G1,D1,B0,G1, LEN+speed,OFF
	;
	db bdr,LEN+3,C1,        $F0,LEN+speed*2-3,C0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,E1,C1,G1,E1,C1,G1,E1,C1,G1, LEN+speed,OFF
	db snr,LEN+3,27,        $F0,LEN+speed*2-3,G0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,E1,C1,G1,E1,C1,G1,E1,C1,G1, hht,29, LEN+speed-1,OFF
	db END_MARK
	
pat_drums_C_mid
	db SET_VOLTAB,vol_mid & 255
	db bdr,LEN+3,C1,        $F0,LEN+speed*2-3,C0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F5,LEN+speed*2-1,E2,           LEN+speed,OFF
	db snr,LEN+3,27,        $F0,LEN+speed*2-3,G0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F5,LEN+speed-1,  E2,           LEN+speed,OFF,E2
	;
	db bdr,LEN+3,C1,        $F0,LEN+speed*2-3,F0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F5,LEN+speed*2-1,F2,           LEN+speed,OFF
	db snr,LEN+3,27,        $F0,LEN+speed*2-3,C1,           LEN+speed,OFF
	db hht,LEN+1,29,        $F5,LEN+speed*1-1,F2,           LEN+speed,OFF, hht,LEN+1,29, $F5,LEN+speed-1,F2
	;
	db bdr,LEN+3,C1,        $F0,LEN+speed*2-3,G0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F5,LEN+speed*2-1,G2,           LEN+speed,OFF
	db snr,LEN+3,27,        $F0,LEN+speed*2-3,D1,           LEN+speed,OFF
	db hht,LEN+1,29,        $F5,LEN+speed*1-1,G2,           LEN+speed,OFF,G2
	;
	db bdr,LEN+3,C1,        $F0,LEN+speed*2-3,C0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F5,LEN+speed*2-1,G2,           LEN+speed,OFF
	db snr,LEN+3,27,        $F0,LEN+speed*2-3,G0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F5,LEN+speed*1-1,G2,           LEN+speed,OFF, hht,LEN+1,29, $F5,LEN+speed-1,G2
	db END_MARK
	
pat_drums_chorus
	db SET_VOLTAB,vol_default & 255
	db bdr,LEN+3,C1,        $F0,LEN+speed*2-3,D0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,F1,D1,A1,F1,D1,A1,F1,D1,A1, LEN+speed,OFF
	db snr,LEN+3,27,        $F0,LEN+speed*2-3,A0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,F1,D1,A1,F1,D1,A1,F1,D1,A1, LEN+speed,OFF
	;
	db bdr,LEN+3,C1,        $F0,LEN+speed*2-3,A0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,E1,C1,A1,E1,C1,A1,E1,C1,A1, LEN+speed,OFF
	db snr,LEN+3,27,        $F0,LEN+speed*2-3,E1,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,E1,C1,A1,E1,C1,A1,E1,C1,A1, hht,29, LEN+speed-1,OFF
	;
	db bdr,LEN+3,C1,        $F0,LEN+speed*2-3,G0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,D1,B0,G1,D1,B0,G1,D1,B0,G1, LEN+speed,OFF
	db snr,LEN+3,27,        $F0,LEN+speed*2-3,D1,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,D1,B0,G1,D1,B0,G1,D1,B0,G1, LEN+speed,OFF
	;
	db bdr,LEN+3,C1,        $F0,LEN+speed*2-3,C0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,E1,C1,G1,E1,C1,G1,E1,C1,G1, LEN+speed,OFF
	db snr,LEN+3,27,        $F0,LEN+speed*2-3,G0,           LEN+speed,OFF
	db hht,LEN+1,29,        $F0,E1,C1,G1,E1,C1,G1,E1,C1,G1, hht,29, LEN+speed-1,OFF
	;
	db END_MARK
	
pat_lead_hi_in
	db $F5,LEN+speed
	db C3, C3, D3
	db END_MARK
	
pat_lead_hi
	db $F5,LEN+speed
	db E3, E3, G3, OFF,OFF,E3
	db G3, G3, OFF,E3, E3, OFF
	db LEN+2, G3, LEN+speed*2-2, A3
	db LEN+speed*7, OFF
	db LEN+speed, G3, G3, A3
	;
	db B3, B3, D4, OFF,OFF,B3
	db D4, D4, OFF,E4, E4, OFF
	db LEN+2, B3, LEN+speed*2-2, C4
	db LEN+speed*7, OFF
	;
	db END_MARK
	
pat_lead_in
	db $F5,LEN+speed
	db C2, C2, D2
	db END_MARK
	
pat_lead
	db $F5,LEN+speed
	db E2, E2, G2, OFF,OFF,E2
	db G2, G2, OFF,E2, E2, OFF
	db LEN+2, G2, LEN+speed*2-2, A2
	db LEN+speed*7, OFF
	db LEN+speed, G2, G2, A2
	;
	db B2, B2, D3, OFF,OFF,B2
	db D3, D3, OFF,E3, E3, OFF
	db LEN+2, B2, LEN+speed*2-2, C3
	db LEN+speed*7, OFF
	;
	db END_MARK
	
pat_lead2_in
	db $F5,LEN+speed
	db G2, A2, B2
	db END_MARK
	
pat_lead2
	db $F5,LEN+speed
	db C3,C3, OFF, OFF, OFF, C3
	db D3,D3, OFF, E3, OFF, OFF
	db LEN+2, B2, LEN+speed*2-2, C3
	db LEN+speed*7, OFF
	db LEN+speed, F2, G2, A2
	;
	db B2, B2, OFF,OFF,OFF,B2
	db C3, C3, OFF,D3, OFF, OFF
	db LEN+2, B2, LEN+speed*2-2, C3
	db LEN+speed*7, OFF
	;
	db END_MARK
	
pat_lead2_hi_in
	db $F5,LEN+speed
	db G3, A3, B3
	db END_MARK
	
pat_lead2_hi
	db $F5,LEN+speed
	db C4,C4, OFF, OFF, OFF, C4
	db D4,D4, OFF, E4, OFF, OFF
	db LEN+2, B3, LEN+speed*2-2, C4
	db LEN+speed*7, OFF
	db LEN+speed, F3, G3, A3
	;
	db B3, B3, OFF,OFF,OFF,B3
	db C4, C4, OFF,D4, OFF, OFF
	db LEN+2, B3, LEN+speed*2-2, C4
	db LEN+speed*7, OFF
	;
	db END_MARK
	
pat_lead2_hi_2
	db $F5,LEN+speed
	db C4,LEN+speed-1,C4,LEN+1,OFF,LEN+speed, C4, OFF, OFF, C4
	db D4,D4, OFF, E4, OFF, OFF
	db LEN+2, B3, LEN+speed*2-2, C4
	db LEN+speed*4, OFF
	db LEN+speed, C3,D3,E3,F3,G3,A3
	;
	db B3, LEN+speed-1,B3,LEN+1,OFF,LEN+speed, B3,OFF,OFF,B3
	db C4, C4, OFF,D4, OFF, OFF
	db LEN+2, B3, LEN+speed*2-2, C4
	db LEN+speed*7, OFF
	;
	db END_MARK
	
pat_chorus1a
	db $F5,LEN+speed
	db A2, A2, C3
	db END_MARK
	
pat_chorus1b
	db $F5
	db LEN+3,C4
	db LEN+2,B3
	db LEN+3,A3
	db LEN+2,G3
	db LEN+3,F3
	db LEN+2,E3
	;
	db END_MARK
	
pat_chorus2
	db LEN+speed
	db D3,D3,F3,  OFF,OFF,D3
	db F3,F3,OFF, D3,D3,OFF
	db C3,C3,E3,  OFF,OFF,C3
	db E3,E3,OFF, C3,C3,OFF
	db B2,B2,D3,  OFF,OFF,B2
	db D3,D3,OFF, B2,B2,OFF
	db C3,C3,E3,  OFF,OFF,C3
	db E3,E3,OFF
	;
	db A2, A2, G2
	;
	db F2,F2,A2,  OFF,OFF,D3
	db F3,F3,OFF, OFF
	db LEN+3,E3,LEN+2,F3,LEN+3,E3,LEN+2,F3,LEN+speed
	;
	db E2,E2,A2,  OFF,OFF,C3
	db E3,E3,OFF, OFF
	db LEN+3,D3,LEN+2,E3,LEN+3,D3,LEN+2,E3,LEN+speed
	;
	db D2,D2,G2,  OFF,OFF,B2
	db D3,D3,OFF, OFF
	db LEN+3,C3,LEN+2,D3,LEN+3,C3,LEN+2,D3,LEN+speed
	;
	db E2,E2,G2,  OFF,OFF,B2
	db C3,C3,OFF
	db END_MARK
	
pat_mid
	db $F5,LEN+speed
	db OFF,OFF,OFF,G2,G2,OFF
	db OFF,OFF,OFF,G2,OFF,G2
	db OFF,OFF,OFF,A2,A2,OFF
	db OFF,OFF,OFF,A2,OFF,A2
	db OFF,OFF,OFF,B2,B2,OFF
	db OFF,OFF,OFF,D3,OFF,D3
	db OFF,OFF,OFF,C3,C3,OFF
	db OFF,OFF,OFF,C3,OFF,C3
	db END_MARK
	
pat_arp1
	db $F3,LEN+speed*3
	db C4,OFF,C4,OFF,C4,G3,F3,G3
	db C4,OFF,C4,OFF,C4,G3,F3,G3
	db END_MARK
;[eof]